Subject: Ticket Assigned - Disaster experience with Babyshop
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 09 Jan 2023 05:26:45 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Disaster experience with Babyshop Hi,

I made order of Junior Luna 5 in 1 rocker and received a defected item with missing parts. So made a request to return but even after 2 weeks it is not collected and my amount is not returned. The people came to collect were impolite and used to call at late night hours totally unprofessional.
Since it was ordered for a purpose gifting on an occasion, I had to order the next order through click and collect but it was also with same fate. Parts missing/ damaged and till this moment I didn't get the item. Very unprofessional service and disaster units.
I will never recommend Babyshop to anyone and will never even think of using Babyshop at all.
I lost around 430 Dhs for these two orders and still haven't received the item.

Regards,
Lineesh
0502087471

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5556255